/********************************************************************
	file base:	MOrder，MorderMore
	file ext:	cs
	author:		mcvrlab
	
	purpose:	 定单和定单详情实体类
*********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MODEL
{
    /// <summary>
    /// 定单信息实体类
    /// </summary>
   public class MOrder
    {
        private int _Id;

        public int Id
        {
            get { return _Id; }
            set { _Id = value; }
        }
        private string _OrderNum;

        public string OrderNum
        {
            get { return _OrderNum; }
            set { _OrderNum = value; }
        }
        private int _Userid;

        public int Userid
        {
            get { return _Userid; }
            set { _Userid = value; }
        }
        private DateTime _OrderTime;

        public DateTime OrderTime
        {
            get { return _OrderTime; }
            set { _OrderTime = value; }
        }
        private int _State;

        public int State
        {
            get { return _State; }
            set { _State = value; }
        }
        private decimal _Price;

        public decimal Price
        {
            get { return _Price; }
            set { _Price = value; }
        }
        private int _Point;

        public int Point
        {
            get { return _Point; }
            set { _Point = value; }
        }
        private int _Paytype;

        public int Paytype
        {
            get { return _Paytype; }
            set { _Paytype = value; }
        }
        private string _RecName;

        public string RecName
        {
            get { return _RecName; }
            set { _RecName = value; }
        }
       private string _RecAddress;

       public string RecAddress
       {
           get { return _RecAddress; }
           set { _RecAddress = value; }
       }
       private string _RecZip;

       public string RecZip
       {
           get { return _RecZip; }
           set { _RecZip = value; }
       }
       private string _RecTel;

       public string RecTel
       {
           get { return _RecTel; }
           set { _RecTel = value; }
       }
       private string _RecMobile;

       public string RecMobile
       {
           get { return _RecMobile; }
           set { _RecMobile = value; }
       }
       private int _RecArieid;

       public int RecArieid
       {
           get { return _RecArieid; }
           set { _RecArieid = value; }
       }
       private string _Intro;

       public string Intro
       {
           get { return _Intro; }
           set { _Intro = value; }
       }
       private int _EmsType;

       public int EmsType
       {
           get { return _EmsType; }
           set { _EmsType = value; }
       }
       private int _EmsState;

       public int EmsState
       {
           get { return _EmsState; }
           set { _EmsState = value; }
       }
       private string _EmsNo;

       public string EmsNo
       {
           get { return _EmsNo; }
           set { _EmsNo = value; }
       }
       private string _EmsIntro;

       public string EmsIntro
       {
           get { return _EmsIntro; }
           set { _EmsIntro = value; }
       }
       private string _EmsInfo;

       public string EmsInfo
       {
           get { return _EmsInfo; }
           set { _EmsInfo = value; }
       }
       private string _PayInfo;

       public string PayInfo
       {
           get { return _PayInfo; }
           set { _PayInfo = value; }
       }
       private string _EmsPrice;

       public string EmsPrice
       {
           get { return _EmsPrice; }
           set { _EmsPrice = value; }
       }
    }
    /// <summary>
    /// 定单详单实体类
    /// </summary>
   public class MorderMore {

       private int _Id;

       public int Id
       {
           get { return _Id; }
           set { _Id = value; }
       }
       private int _OrderId;

       public int OrderId
       {
           get { return _OrderId; }
           set { _OrderId = value; }
       }
       private int _Productid;

       public int Productid
       {
           get { return _Productid; }
           set { _Productid = value; }
       }
       private DateTime _OrderTiem;

       public DateTime OrderTiem
       {
           get { return _OrderTiem; }
           set { _OrderTiem = value; }
       }
       private string _SessionId;

       public string SessionId
       {
           get { return _SessionId; }
           set { _SessionId = value; }
       }
       private decimal _Price;

       public decimal Price
       {
           get { return _Price; }
           set { _Price = value; }
       }
       private int _Count;

       public int Count
       {
           get { return _Count; }
           set { _Count = value; }
       }
       private string _Intro;

       public string Intro
       {
           get { return _Intro; }
           set { _Intro = value; }
       }
       private int _Point;

       public int Point
       {
           get { return _Point; }
           set { _Point = value; }
       }
       private string _Content;

       public string Content
       {
           get { return _Content; }
           set { _Content = value; }
       }
       private string _ProductMoreInfo;

       public string ProductMoreInfo
       {
           get { return _ProductMoreInfo; }
           set { _ProductMoreInfo = value; }
       }
   }
}
